### Function

# Gtk TreeViewColumnDropFunc

#### Declaration

    gboolean
    TreeViewColumnDropFunc (
      GtkTreeView* tree_view,
      GtkTreeViewColumn* column,
      GtkTreeViewColumn* prev_column,
      GtkTreeViewColumn* next_column,
      gpointer data
    )

#### Description [src]

Function type for determining whether `column` can be dropped in a particular spot (as determined by `prev_column` and `next_column`). In left to right locales, `prev_column` is on the left of the potential drop spot, and `next_column` is on the right. In right to left mode, this is reversed. This function should return `TRUE` if the spot is a valid drop spot. Please note that returning `TRUE` does not actually indicate that the column drop was made, but is meant only to indicate a possible drop spot to the user.

#### Parameters

`tree_view` | `GtkTreeView`
| A `GtkTreeView`.
| The data is owned by the caller of the function.
`column` | `GtkTreeViewColumn`
| The `GtkTreeViewColumn` being dragged.
| The data is owned by the caller of the function.
`prev_column` | `GtkTreeViewColumn`
| A `GtkTreeViewColumn` on one side of `column`.
| The data is owned by the caller of the function.
`next_column` | `GtkTreeViewColumn`
| A `GtkTreeViewColumn` on the other side of `column`.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `column` can be dropped in this spot.